#!/bin/sh
# This script removes some stuff in `www/node_modules` that the app doesn't need to run.
# It removes about 6MB from the build size.

cd www/node_modules
rm -rf ansicolors
rm -rf buffer-from
rm -rf cardinal
rm -rf concat-stream
rm -rf core-util-is
rm -rf csscolorparser
rm -rf dom7
rm -rf earcut
rm -rf esm
rm -rf esprima
rm -rf expect.js
rm -rf geojson-vt
rm -rf gl-matrix
rm -rf grid-index
rm -rf ieee754
rm -rf inherits
rm -rf isarray
rm -rf kdbush
rm -rf @mapbox
rm -rf minimist
rm -rf murmurhash-js
rm -rf path-to-regexp
rm -rf pbf
rm -rf potpack
rm -rf process-nextick-args
rm -rf protocol-buffers-schema
rm -rf quickselect
rm -rf readable-stream
rm -rf redeyed
rm -rf resolve-protobuf-schema
rm -rf rw
rm -rf safe-buffer
rm -rf sharkdown
rm -rf split
rm -rf ssr-window
rm -rf stream-spigot
rm -rf string_decoder
rm -rf supercluster
rm -rf template7
rm -rf through
rm -rf tinyqueue
rm -rf typedarray
rm -rf util-deprecate
rm -rf vt-pbf
rm -rf wgs84

cd @fortawesome/fontawesome-free
rm -rf js
rm -rf less
rm -rf scss
rm -rf sprites
rm -rf svgs
cd ../..

cd jquery
rm -rf src
rm -rf external
cd ..

cd framework7
rm -rf components
rm -rf lazy-components
rm -rf less
rm -rf modules
rm -rf utils
cd ..

cd leaflet
rm -rf src
cd ..

cd mapbox-gl
rm -rf build
rm -rf flow-typed
rm -rf node_modules
rm -rf src
cd ..

cd mapbox-gl-leaflet
rm -rf examples
cd ..

cd qrcode-generator
rm -f qrcode.d.ts
rm -f qrcode_*
rm -r sample.*
rm -rf test

echo "Cleanup finished"